Subject: Re: [PATCH] cpufreq: qoriq: optimize the CPU frequency switching time

From: Viresh Kumar <[email-masked]>
Date: Thu, 4 Jun 2015 12:06:36 +0530

On 04-06-15, 14:25, [email-masked] wrote:
> From: Tang Yuantian <[email-masked]>
> 
> Each time the CPU switches its frequency, the clock nodes in
> DTS are walked through to find proper clock source. This is
> very time-consuming, for example, it is up to 500+ us on T4240.
> Besides, switching time varies from clock to clock.
> To optimize this, each input clock of CPU is buffered, so that
> it can be picked up instantly when needed.
> 
> Since for each CPU each input clock is stored in a pointer
> which takes 4 or 8 bytes memory and normally there are several
> input clocks per CPU, that will not take much memory as well.

Not sure how it got included in this form in the first place. :)

> Signed-off-by: Tang Yuantian <[email-masked]>
> ---
>  drivers/cpufreq/qoriq-cpufreq.c | 32 +++++++++++++++++++++-----------
>  1 file changed, 21 insertions(+), 11 deletions(-)

Acked-by: Viresh Kumar <[email-masked]>

-- 
viresh